#!/usr/bin/env python

from setuptools import setup, find_packages
setup(
    name="opensearch-python-handler",
    version='4.0.1',
    description="Logging handler to send logs to your OpenSearch cluster with bulk SSL. Forked from https://github.com/logzio/logzio-python-handler",
    keywords="logging handler opensearch bulk https",
    author="Lorenzo Zolfanelli",
    maintainer="Lorenzo Zolfanelli",
    mail="dev@zolfa.nl",
    url="https://projects.lilik.it/zolfa/opensearch-python-handler",
    license="Apache License 2",
    packages=find_packages(),
    install_requires=[
        "requests>=2.27.0",
        "protobuf>=3.20.2",
        "opentelemetry-instrumentation-logging>=0.32b0",
        "opensearch-py"
    ],
    test_requires=[
        "future"
    ],
    include_package_data=True,
    classifiers=[
        'Development Status :: 5 - Production/Stable',
        'Intended Audience :: Developers',
        'Programming Language :: Python :: 3.9'
    ]
)
